#!/usr/bin/env bash

INPUT=`find ../../src -type f -name *.cpp`

xgettext -C -j --from-code=UTF-8 --msgid-bugs-address=arch_dvx@users.sourceforge.net --package-name=dxreminders\
    --package-version=1.10.1 --copyright-holder="David Vachulka" --keyword=_ --keyword=N_ --keyword=_n:1,2\
    -o dxreminders.pot $INPUT

for i in *.po
do
  echo "Updating $i ..."
  msgmerge --update --backup=off $i dxreminders.pot
done
