/***************************************************************
 * Name:      recurrence.cpp
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2013
 * License:   GPL3
 **************************************************************/

#include "recurrence.h"

Recurrence::Recurrence()
: m_id(-1), m_eventid(-1)
{
}

Recurrence::Recurrence(long id, int type, int days, int months, long eventid)
: m_id(id), m_eventid(eventid), m_type(type), m_days(days), m_months(months)
{
}

Recurrence::~Recurrence()
{
}

void Recurrence::SetType(int type)
{
    m_type = type;
}

void Recurrence::SetDays(int days)
{
    m_days = days;
}

void Recurrence::SetMonths(int months)
{
    m_months = months;
}

